LOGOUT(3)

NAME
logout - remove an entry from the utmp file

LIBRARY
libutil

SYNOPSIS
#include <sys/types.h>
#include <libutil.h>
int
logout(const char *line);

DESCRIPTION
The function logout() searches the utmp(5) file for the slot described by line (usually a tty name). If such a slot could be found, it will be updated with a record where the name and host fields are empty, and the time stamp field is updated to the current time.

RETURN VALUES
The logout() function returns 1 if the slot described by line has been found and updated, 0 otherwise.

SEE ALSO
login(3), utmp(5), wtmp(5)

BUGS
The calling interface of logout() is inconsistent with that of login(3).